(function($) {
  'use strict';

  // zoom-slider
  (function () {
    function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

    function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

    function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

    function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

    var buttonPrevElement = document.querySelector('.zoom-slider__control_prev');
    var buttonNextElement = document.querySelector('.zoom-slider__control_next');
    var sliderElement = $('.zoom-slider__slider');
    var thumbsElement = $('.zoom-slider__buttons');
    var filterButtonElements = document.querySelectorAll('.zoom-slider__filter-link');
    var activeFilterClass = 'link_active';

    if (sliderElement.length) {
      var sliderElements = _toConsumableArray(document.querySelectorAll('.zoom-slider__slider .swiper-slide'));

      var thumbsElements = _toConsumableArray(document.querySelectorAll('.zoom-slider__buttons .swiper-slide'));

      var galleryThumbs = new Swiper(thumbsElement, {
        slidesPerView: 4,
        //loop: true,
        watchSlidesVisibility: true,
        watchSlidesProgress: true,
        breakpoints: {
          767: {
            slidesPerView: 1
          },
          991: {
            slidesPerView: 2
          }
        }
      });
      var gallerySlider = new Swiper(sliderElement, {
        slidesPerView: 1,
        //loop: true,
        thumbs: {
          swiper: galleryThumbs
        }
      });
      buttonPrevElement.addEventListener('click', function () {
        gallerySlider.slidePrev();
      });
      buttonNextElement.addEventListener('click', function () {
        gallerySlider.slideNext();
      });
      filterButtonElements.forEach(function (button) {
        button.addEventListener('click', function (e) {
          e.preventDefault();
          var filter = button.getAttribute('data-value');
          filterButtonElements.forEach(function (b) {
            b.classList.remove(activeFilterClass);
          });
          button.classList.add(activeFilterClass);
          var tl = new TimelineLite();
          tl.to([sliderElement, thumbsElement], .3, {
            opacity: 0
          }).call(function () {
            galleryThumbs.removeAllSlides();
            gallerySlider.removeAllSlides();
            thumbsElements.filter(function (item) {
              if (item.getAttribute('data-filter').indexOf(filter) >= 0 || filter === 'all') {
                galleryThumbs.appendSlide(item);
              }
            });
            sliderElements.filter(function (item) {
              if (item.getAttribute('data-filter').indexOf(filter) >= 0 || filter === 'all') {
                gallerySlider.appendSlide(item);
              }
            });
          }).to([sliderElement, thumbsElement], .3, {
            opacity: 1,
            clearProps: 'opacity'
          });
        });
      });
    }
  })();
})(jQuery);
